<?php
defined('BASEPATH') or exit('No direct script access allowed');

class ControllerAnggaranDasar extends CI_Controller
{

    public function __construct()
    {
        parent::__construct();
        //validasi jika user belum login
        check_not_login();
        if ($this->session->userdata('level') != 2) {
            redirect();
        }
        $this->set_timezone();
        $this->load->library('encrypt');
        $this->load->library('form_validation');
        $this->load->library('Mycustom');
        $this->load->library('pdfgenerator');
        $this->load->library('Notifikasi');
        $this->load->model('bagian_manager/insert_model');
        $this->load->model('bagian_manager/select_model');
        $this->load->model('bagian_manager/update_model');
    }
    public function set_timezone()
    {
        date_default_timezone_set("Asia/Jakarta");
    }
    public function index()
    {
        $notif = $this->notifikasi->notif_manager();
        // Data Login
        $data_login            = $this->userlogin->user_login(); // Menampilkan siapa yang login
        $data_id_login         = $this->session->userdata('isloggedin'); // Menampilkan data session
        // Data Isian Konten
        // Query SQL Data atau isi data page
        // Menampilkan saldo pertama koperasi
        $saldo_awal        = $this->select_model->v_saldoAwalKoperasi(); // Menampilkan saldo pertama koperasi
        $saldo_masuk       = $this->select_model->v_saldoMasukKoperasi(); // Menampilkan Penambahan saldo anggaran dasar koperasi
        $saldo_keluar      = $this->select_model->v_saldoKeluarKoperasi(); // Menampilkan Pengurangan saldo anggaran dasar koperasi
        $history_transaksi = $this->select_model->v_transaksiADKoperasi(); // Menampilkan perubahan dan history perubahan anggaran dasar koperasi
        $data = array(
            // Untuk memanggil halaman sesuai menu
            'folder'              => 'kas/anggaran_dasar',
            'page'                => 'index',
            'judul'               => 'Kelola Anggaran Dasar Koperasi || Bagian Manager',
            'data_id_login'       => $data_id_login,
            'data_login'          => $data_login,
            'notif'               => $notif,
            // Isi data
            'ad_koperasi'         => $saldo_awal,
            'saldo_masuk'         => $saldo_masuk,
            'saldo_keluar'        => $saldo_keluar,
            'history_transaksi'   => $history_transaksi
        );
        $this->load->view('manager/index', $data);
    }
    public function crud()
    {
        if (isset($_POST['simpanDetailTransaksi'])) {
            // Data Inputan
            if (htmlspecialchars($this->input->post('jenis_transaksi')) == 'PILIH') :
                $this->session->set_flashdata('pesan_gagal', '<div class="alert alert-danger" id="pesan_gagal" role="alert">Masukkan Jenis Transaksi!</div>');
            else :
                $this->insert_model->simpanDataTransaksiAD();
            endif;
            redirect('manager/kas/anggaran_dasar');
        };
    }
}

/* End of file ControllerAnggaranDasar.php and path \application\controllers\keuangan\kas\ControllerAnggaranDasar.php */